Extending Qt Creator Manual | ExpandData

Extending Qt Creator Manual 4.7.1

# ExpandData Class

(ProjectExplorer::Internal::ExpandData)

- List of all members, including inherited members

## Public Functions

| ExpandData()
| ExpandData(const int &path_, const int &displayName_)
int | toSettings() const
bool | operator==(const ProjectExplorer::Internal::ExpandData &other) const

## Static Public Members

ProjectExplorer::Internal::ExpandData | fromSettings(const int &v)

## Member Function Documentation

### ExpandData::ExpandData()

Default constructs an instance of ExpandData.

### ExpandData::ExpandData(const int &path_, const int &displayName_)

Default constructs an instance of ExpandData.

### `[static]` ProjectExplorer::Internal::ExpandData ExpandData::fromSettings(const int &v)

### int ExpandData::toSettings() const

### bool ExpandData::operator==(const ProjectExplorer::Internal::ExpandData &other) const